VME Intensity Monitor - Task #10927
Milestone # 10928 (Closed): Support for new MI/RR/BNB digitizer firmware

ACNET devices for pule only integration and average baseline integration
11/12/2015 07:05 PM - John Diamond

Status: Closed Start date: 11/12/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 4.00 hours
Target version: Spent time: 3.50 hours
Description

Requested by Ning to support his updated MI/RR/BNB firmware.

History

#1-11/12/2015 07:11 PM - John Diamond
- Parent task set to #10928

#2 - 11/12/2015 09:17 PM - John Diamond
- % Done changed from 0 to 90

Implemented ACNET devices for reading pulse only integration and baseline integration average.
Changes are on origin in branch 10927-acnet-devices.
Need to be merged with #10914 and tested.

#3 - 11/13/2015 03:00 PM - John Diamond

Created the following test devices on nbeam:

e Z:TOR991
e Z:TRB990 & Z:TRB991 - for baseline integration average
e Z:TRP990 & Z:TRP991 - for pulse only integration

#4 - 11/13/2015 05:01 PM - John Diamond
- Status changed from Assigned to Closed

- % Done changed from 90 to 100
Devices appear to be working.
#5 - 11/16/2015 02:11 PM - John Diamond

Ning pointed out the R:TRB990 and R:TRB991 wouldn't plot together. Changed all of the above to ClassACNet "channel devices" and increased the
channel max for the new accessors from 1 to MAX_TOROIDS.
